#include "mymainwindow.h"
#include <QApplication>
#include <QScreen>
#include <QDebug>
#include <QPainter>
#include <QRect>
#include <QKeyEvent>
#include <QMouseEvent>
#include <math.h>
MyMainWindow::MyMainWindow()
{

    setWindowFlags(Qt::FramelessWindowHint | Qt::X11BypassWindowManagerHint);
    QScreen *screen = qApp->primaryScreen();


    //image.load("./11.jpg");

    setGeometry(screen->virtualGeometry());
    qDebug() << "screen->virtualGeometry()" <<  screen->virtualGeometry();

}

void MyMainWindow::paintEvent(QPaintEvent *event)
{
    QPainter painter(this);
    //painter.drawPixmap(0, 0, image.width(), image.height(), image);
    painter.setBrush(Qt::red);
    painter.drawEllipse(0,0,1000,1000);
}

void MyMainWindow::mousePressEvent(QMouseEvent *event)
{
    if(event->button() == Qt::RightButton)
    {
        exit(0);
    }
}

